/* Copyright (C) 2004 Hiroyuki OYAMA

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef MODULE_H
#define MODULE_H 1

#include "trackback.h"
#include "httpd.h"

typedef struct mtb_module_rec {
    int (*validate_ping)(request_rec *r, mtb_message_rec *msg);
    int (*store_message)(request_rec *r, mtb_message_rec *msg);
    mtb_message_rec *(*load_message)(request_rec *r, const char *id);
    int (*send_contents)(request_rec *r, mtb_message_rec *msg);
} mtb_module_rec;

#endif /* MODULE_H */
